### Function

# Ide CommandManager from_context

#### Declaration

    IdeCommandManager*
    ide_command_manager_from_context (
      IdeContext* context
    )

#### Description

Gets an `IdeCommandManager` from the context.

This may only be called on the main thread.

Available since: | 3.34

#### Parameters

`context` | `IdeContext`
| An `IdeContext`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeCommandManager`
| An `IdeCommandManager`.
| The data is owned by the called function.